package com.ktg.iscs.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ktg.iscs.domain.IsSystemAttribute;
import com.ktg.iscs.domain.vo.mail.MailVO;

/**
 * 基础数据Service接口
 *
 * @author cgj
 * @date 2025-03-11
 */
public interface IIsSystemAttributeService extends IService<IsSystemAttribute> {

    Page<IsSystemAttribute> getIsSystemAttributePage(Page<IsSystemAttribute> page, IsSystemAttribute isSystemAttribute);

    IsSystemAttribute getIsSystemAttributeByKey(String sysAttrKey);

    MailVO getMailVo();

    Boolean insertIsSystemAttribute(IsSystemAttribute isSystemAttribute);

    Boolean updateIsSystemAttribute(IsSystemAttribute isSystemAttribute);

    Boolean deleteIsSystemAttributeByIds(String ids);

    Boolean refreshAttrCache();

}
